View Issue Details

IDProjectCategoryView StatusLast Update
0000463Far Manager 1.7xUser Menupublic2008-03-17 16:59
ReporterNightRomanAssigned Toalexy 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000463: Текущая папка процесса не меняется из юзер меню и отличается от активной панели
DescriptionВызываю из плагина FCTL_SETPANELDIR, что прекрасно отрабатывает, то есть панель отображает новую заданную папку, и текущая папка процесса тоже меняется на новую соответственно (но только на данный момент!). Прикол в том, что эта операция плагина инициирована из юзер меню по префиксу плагина. Когда все окончательно отрабатывает, картина иная: на активной панели - новая папка, как и просили, но текущая папка процесса старая, та, что была до вызова плагина.

Если "ничего не трогать" (в Фаре) и продолжить вызывать что-то еще (у плагинов!) - возможны серьезные проблемы. Тупой пример: "удалить все в текущей папке" удалит не то, что мы думаем (на активной панели), а то, что было на панели до этого.

Обсуждалось тут:
http://forum.farmanager.com/viewtopic.php?f=8&t=3140
TagsNo tags attached.
Build2327

Activities

alexy

2008-03-13 15:54

administrator   bugnote:0001313

Тестируем вот тут
http://farmanager.com/farbugs/umcd.rar

alexy

2008-03-14 10:46

administrator   bugnote:0001319

закомитил в 2327

Issue History

Date Modified Username Field Change
2008-01-29 09:11 NightRoman New Issue
2008-03-13 15:54 alexy Status new => assigned
2008-03-13 15:54 alexy Assigned To => alexy
2008-03-13 15:54 alexy Note Added: 0001313
2008-03-14 10:46 alexy Note Added: 0001319
2008-03-14 10:46 alexy Status assigned => feedback
2008-03-17 16:59 alexy Build => 2327
2008-03-17 16:59 alexy Status feedback => closed
2008-03-17 16:59 alexy Resolution open => fixed
2008-03-17 16:59 alexy Fixed in Version => 1.71